> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Online Claim

Shipping and Warranty claims for orders that were made on your online store.


## OpenAPI

````yaml openapi-claims POST /v1/claims/{sourceOrderId}
openapi: 3.0.0
info:
  title: OrderProtection Claims API
  description: Claims service API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.production.orderprotection.com
    description: Production server
security: []
tags: []
paths:
  /v1/claims/{sourceOrderId}:
    post:
      tags:
        - Claims
      summary: Create Claim
      operationId: ClaimsApiController_createClaim
      parameters:
        - name: sourceOrderId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiCreateClaimDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkStatusResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedExceptionResponse'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundExceptionResponse'
      security:
        - bearer: []
components:
  schemas:
    ApiCreateClaimDto:
      type: object
      properties:
        email:
          type: string
          example: claim@example.com
        claimFiledFrom:
          type: string
          enum:
            - EXTERNAL
            - INTERNAL
          default: EXTERNAL
          description: Indicates where the claim was filed from
          example: EXTERNAL
        salesChannel:
          type: string
          enum:
            - ONLINE
            - IN_STORE
          default: ONLINE
          description: The sales channel for the claim
          example: ONLINE
        claimCategory:
          type: string
          enum:
            - SHIPPING
            - WARRANTY
          default: SHIPPING
          description: The category of the claim
          example: SHIPPING
        fulfillmentIssues:
          example:
            - sourceFulfillmentId: '123456'
              issues:
                - issueType: DAMAGED
                  quantity: 1
                  sourceProductId: product_123
                  sourceVariantId: variant_123
                  sourceItemId: item_123
                  details: >-
                    The seal on the product showed up broken. There was powder
                    all over the box.
                  images:
                    - https://cdn.orderprotection.com/claim/bad-product.jpg
          type: array
          items:
            $ref: '#/components/schemas/ApiClaimFulfillmentDto'
        resolution:
          $ref: '#/components/schemas/ApiClaimResolutionDto'
        options:
          type: object
          description: Additional options for claim creation
          properties:
            fromValet:
              type: boolean
              default: false
              description: Whether the claim is from Valet
              example: false
            requireCustomerSignature:
              type: boolean
              default: false
              description: Whether customer signature is required
              example: false
      required:
        - email
        - fulfillmentIssues
        - salesChannel
        - claimCategory
        - resolution
    OkStatusResponse:
      type: object
      properties:
        status:
          type: string
          readOnly: true
          deprecated: false
          example: ok
      required:
        - status
    UnauthorizedExceptionResponse:
      type: object
      properties:
        message:
          type: string
          readOnly: true
          example: Unauthorized
        statusCode:
          type: number
          readOnly: true
          example: 401
      required:
        - message
        - statusCode
    NotFoundExceptionResponse:
      type: object
      properties:
        message:
          type: string
          readOnly: true
          example: order not found
        statusCode:
          type: number
          readOnly: true
          example: 404
      required:
        - message
        - error
        - statusCode
    ApiClaimFulfillmentDto:
      type: object
      properties:
        sourceFulfillmentId:
          type: string
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ApiClaimFulfillmentIssueDto'
      required:
        - sourceFulfillmentId
        - issues
    ApiClaimResolutionDto:
      type: object
      properties:
        customerSignature:
          type: string
          example: https://cdn.orderprotection.com/signature/customer-signature.jpg
        warrantyPeriod:
          type: string
          nullable: true
          description: >-
            Optional warranty period in ISO 8601 duration format (e.g., P1Y for
            1 year, P1Y6M for 1 year 6 months, P30D for 30 days)
          example: P1Y
        desiredMethod:
          type: string
          enum:
            - RESHIP
            - REFUND
            - STORE_CREDIT
          example: REFUND
        updatedShippingAddress:
          $ref: '#/components/schemas/ApiClaimResolutionUpdatedAddressDto'
      required:
        - customerSignature
        - desiredMethod
    ApiClaimFulfillmentIssueDto:
      type: object
      properties:
        issueType:
          type: string
          enum:
            - STOLEN
            - DAMAGED
            - ORDER_DELIVERED_NOT_RECEIVED
            - DEFECTIVE_ITEM
            - WRONG_ITEM
            - MISSING_ITEM
            - RETURNED_TO_SENDER
            - MULTIPLE
            - TRACKING_NOT_MOVING
            - WRONG_ADDRESS
          example: DAMAGED
        quantity:
          type: number
          example: 1
        sourceProductId:
          type: string
          example: product_123
        sourceVariantId:
          type: string
          example: variant_123
        sourceItemId:
          type: string
          example: The item id to map back to your database
        details:
          type: string
          example: >-
            The seal on the product showed up broken. There was powder all over
            the box.
        images:
          example:
            - https://cdn.orderprotection.com/claim/bad-product.jpg
          type: array
          items:
            type: string
        subIssueId:
          type: string
          nullable: true
          description: Optional sub-issue identifier for more specific categorization
          example: sub_issue_123
        id:
          type: string
          nullable: true
          description: Optional issue identifier
          example: issue_123
      required:
        - issueType
        - quantity
        - sourceProductId
        - sourceVariantId
        - sourceItemId
        - details
        - images
    ApiClaimResolutionUpdatedAddressDto:
      type: object
      properties:
        firstName:
          type: string
          example: John
        lastName:
          type: string
          example: Smith
        address1:
          type: string
          example: 123 Main St
        address2:
          type: string
          example: Apt 1
        city:
          type: string
          example: New York
        state:
          type: string
          example: NY
        zip:
          type: string
          example: '10001'
        country:
          type: string
          example: United States
        orderId:
          type: string
          example: order-123
          description: Order Protection's internal order id
      required:
        - address1
        - city
        - state
        - zip
        - country
        - orderId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````